// Activity contains a pageRow so it is ready to use for most cases

import QtQuick 2.0

import org.kde.kirigami 2.0 as Kirigami

import "../kirigami-patched" as KirigamiPatched

AbstractActivity {
    property alias pageRow: __pageRow
    property alias initialPage: __pageRow.initialPage
    // not sure if background should be set
    property alias background: __background
    // copy-paste from Kirigami.ApplicationWindow
    wideScreen: width >= pageRow.defaultColumnWidth * 2

    Rectangle {
        id: __background
        z: -1
        anchors.fill: parent
        color: Kirigami.Theme.backgroundColor
    }

    KirigamiPatched.PageRow {
        id: __pageRow
        anchors.fill: parent
        focus: true
    }
}
