/*
Currently ActivityStack inherits from StackView and adds two property aliases
for more understandable interface. This saves developmnet time however
it might be better to make StackView an internal object and design appropriate
interface.
*/

import QtQuick 2.7
import QtQuick.Controls 1.4

import org.kde.kirigami 2.0 as Kirigami

StackView {
    id: root
    focus: true
    anchors.fill: parent

    property alias initialActivity: root.initialItem
    property alias currentActivity: root.currentItem

    signal completed()

    // not sure if setting focus to currentItem is necessary or it is done by StackView
    onCurrentItemChanged: {
        if (currentItem) {
            currentItem.focus = true
        }
    }

    // pushing new activities fails when ActivityStack is not completed
    Component.onCompleted: {
        completed()
    }
}
