/*
CHANGES:
1. pageRow property was introduced and it binds to
   applicationWindow().activityStack.currentActivity.pageRow
2. all references to applicationWindow().pageStack were changed to point to local pageRow property
*/

/*
 *   Copyright 2016 Marco Martin <mart@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library General Public License as
 *   published by the Free Software Foundation; either version 2, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Library General Public License for more details
 *
 *   You should have received a copy of the GNU Library General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

import QtQuick 2.1
import QtQuick.Controls 2.0 as Controls

import org.kde.kirigami 2.0

Controls.ToolButton {
    property Item pageRow: applicationWindow().activityStack
                           && applicationWindow().activityStack.currentActivity
                           && applicationWindow().activityStack.currentActivity.pageRow ?
                                      applicationWindow().activityStack.currentActivity.pageRow : null

    // BEFORE: enabled: !Settings.isMobile && (__appWindow.pageStack.currentIndex > 0 || applicationWindow().pageStack.contentItem.contentX > 0)
    enabled: !Settings.isMobile && pageRow && (pageRow.currentIndex > 0 || pageRow.contentItem.contentX > 0)
    height: parent.height
    width: visible ? height : 0
    implicitWidth: height
    // BEFORE visible: applicationWindow().pageStack.contentItem.contentWidth > applicationWindow().pageStack.contentItem.width
    visible: pageRow && (pageRow.contentItem.contentWidth > pageRow.contentItem.width)

    z: 99
    // BEFORE: onClicked: applicationWindow().pageStack.goBack();
    onClicked: pageRow.goBack();
    Icon {
        anchors.fill: parent
        opacity: parent.enabled ? 1 : 0.6
        selected: header.background && header.background.color && header.background.color == Theme.highlightColor
        source: "go-previous"
    }
}
