import QtQuick 2.0
import QtQuick.Controls 2.0

import org.kde.kirigami 2.0 as Kirigami

import "../kirigami-new/kirigami-patched" as KirigamiPatched
import "../kirigami-new/kirigami-addons" as KirigamiAddons

KirigamiAddons.Activity {
    id:root

    property var feedsPage
    property var newsPage

    function onFeedClicked(model) {
        pageRow.currentIndex = 1
        newsPage.resetList()
    }


    function onArticleClicked(model) {
        pageRow.currentIndex = 2
    }

    // Each activity can set preferred header style
    preferredApplicationHeaderStyle: Kirigami.ApplicationHeaderStyle.TabBar

    Component.onCompleted: {
        var component = Qt.createComponent("FeedsPage.qml")
        feedsPage = component.createObject()
        feedsPage.feedClicked.connect(root.onFeedClicked)
        pageRow.push(feedsPage)

        component = Qt.createComponent("NewsPage.qml")
        newsPage = component.createObject()
        newsPage.articleClicked.connect(root.onArticleClicked)
        pageRow.push(newsPage)

        pageRow.push(articlePage.createObject())
        pageRow.currentIndex = 0
    }

    Component {
        id: articlePage
        KirigamiPatched.Page{
            title: "Article"
            anchors.fill: parent
            TextArea {
                anchors.fill: parent
                background: Rectangle {
                    color: "dark gray"
                }
                text: "Article content"
            }
        }
    }
}
