import QtQuick 2.7
import QtQuick.Layouts 1.3

import org.kde.kirigami 2.1 as Kirigami

import "../kirigami-new/kirigami-patched" as KirigamiPatched

KirigamiPatched.ScrollablePage {
    title: "News"
    anchors.fill: parent

    function resetList() {
        view.positionViewAtIndex(0,ListView.Beginning)
    }

    signal articleClicked()

    ListView {
        id: view
        anchors.fill: parent
        model: 100
        delegate: Kirigami.AbstractListItem {

            Column {

                Kirigami.Label {
                    text: "Article" + index
                }
                RowLayout {
                    anchors.left: parent.left
                    anchors.right: parent.right
                    Kirigami.Label {
                        text: "Author"
                        Layout.fillWidth: true
                    }
                    Kirigami.Label {
                        text: "Date"
                    }
                }
            }
            onClicked: articleClicked()
        }
    }


}
