import QtQuick 2.0
import QtQuick.Controls 2.0

import org.kde.kirigami 2.0 as Kirigami

import "../kirigami-new/kirigami-patched" as KirigamiPatched
import "../kirigami-new/kirigami-addons" as KirigamiAddons

KirigamiAddons.Activity {
    id:root

    // Main action of first the page (SettingsStartPage) is connected to its finished signal
    // which is connected to SettingsActivity's finished signal which is handled
    // in main.qml
    signal finished()

    property var newsPage

    function onItemClicked(text) {
        var component = Qt.createComponent("SettingsListPage.qml")
        var page = component.createObject()
        page.title = text

        if (text == "General")
            page.model = generalModel
        else if (text == "Security")
            page.model = securityModel
        else if (text == "Privacy")
            page.model = privacyModel

        pageRow.push(page)
        pageRow.currentIndex = 1
    }

    // Each activity can set preferred header style
    preferredApplicationHeaderStyle: Kirigami.ApplicationHeaderStyle.Breadcrumb

    Component.onCompleted: {
        var component = Qt.createComponent("SettingsStartPage.qml")
        var page = component.createObject()
        page.onItemClicked.connect(root.onItemClicked)
        page.onFinished.connect(root.finished)
        pageRow.push(page)
    }

    ListModel {
        id: generalModel
        ListElement {
            txt: "Reopen last feed on startup"
        }
        ListElement {
            txt: "Auto-update feeds"
        }
    }

    ListModel {
        id: securityModel
        ListElement {
            txt: "Enable javascript"
        }
        ListElement {
            txt: "Enable Flash"
        }
    }

    ListModel {
        id: privacyModel
        ListElement {
            txt: "Allow cookies"
        }
        ListElement {
            txt: "Keep history"
        }
    }
}
