import QtQuick 2.7
import QtQuick.Layouts 1.3

import org.kde.kirigami 2.1 as Kirigami

import "../kirigami-new/kirigami-patched" as KirigamiPatched

KirigamiPatched.ScrollablePage {
    title: "Settings"
    anchors.fill: parent

    actions.main: Kirigami.Action {
        onTriggered: finished()
    }

    signal itemClicked(string text)
    signal finished()

    ListView {
        id: view
        anchors.fill: parent
        model: settingsModel
        delegate: Kirigami.BasicListItem {
            label: txt
            onClicked: itemClicked(txt)
        }
    }

    ListModel {
        id: settingsModel
        ListElement {
            txt: "General"
        }
        ListElement {
            txt: "Security"
        }
        ListElement {
            txt: "Privacy"
        }
    }


}
